witch-1.2.0.2: Convert values from one type into another.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Witch.Encoding

Synopsis

- type ISO_8859_1 = Tagged "ISO-8859-1"
- type UTF_8 = Tagged "UTF-8"
- type UTF_16LE = Tagged "UTF-16LE"
- type UTF_16BE = Tagged "UTF-16BE"
- type UTF_32LE = Tagged "UTF-32LE"
- type UTF_32BE = Tagged "UTF-32BE"

# Documentation

type ISO_8859_1 = Tagged "ISO-8859-1" Source #

https://en.wikipedia.org/wiki/ISO/IEC_8859-1

type UTF_8 = Tagged "UTF-8" Source #

https://en.wikipedia.org/wiki/UTF-8

type UTF_16LE = Tagged "UTF-16LE" Source #

https://en.wikipedia.org/wiki/UTF-16

type UTF_16BE = Tagged "UTF-16BE" Source #

https://en.wikipedia.org/wiki/UTF-16

type UTF_32LE = Tagged "UTF-32LE" Source #

https://en.wikipedia.org/wiki/UTF-32

type UTF_32BE = Tagged "UTF-32BE" Source #

https://en.wikipedia.org/wiki/UTF-32